Page MenuHomePhabricator

PHP Notice "Title::newFromText: $text must be a string in Parser::replaceInternalLinks2"
Closed, ResolvedPublic

Description

[13-Jun-2015 07:14:51 UTC] PHP Notice:  Title::newFromText: $text must be a string. This will throw an
                    InvalidArgumentException in future. [Called from Parser::replaceInternalLinks2 in
                    /srv/mediawiki/tags/2015-06-10_06:57:49/includes/parser/Parser.php at line 2149] in
                    /srv/mediawiki/tags/2015-06-10_06:57:49/includes/debug/MWDebug.php on line 300
[13-Jun-2015 07:14:51 UTC] PHP Warning:  array_key_exists(): The first argument should be either a string or an integer in
                    /srv/mediawiki/tags/2015-06-10_06:57:49/includes/libs/MapCacheLRU.php on line 78

Event Timeline

Nemo_bis created this task.Jun 13 2015, 7:48 AM
Nemo_bis raised the priority of this task from to Medium.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: MediaWiki-Parser.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2015, 7:48 AM
Krinkle renamed this task from Title::newFromText: $text must be a string in Parser::replaceInternalLinks2 to PHP Notice "Title::newFromText: $text must be a string in Parser::replaceInternalLinks2".Jun 25 2015, 3:31 AM
Krinkle set Security to None.

Change 224124 had a related patch set uploaded (by Chad):
Protect against non-text output from StripState going into Title::newFromText()

https://gerrit.wikimedia.org/r/224124

Umherirrender closed this task as Resolved.Jul 10 2015, 8:05 PM
Umherirrender assigned this task to demon.

Change 224124 merged by jenkins-bot:
Protect against non-text output from StripState going into Title::newFromText()

https://gerrit.wikimedia.org/r/224124